# Filename: tri_set_properties_smooth.py
# Purpose: Set smoothing for a triangulation.
# Returns: Void.

from maptek import vulcan

input_tri = 'topo.00t' # input triangulation

# property list
# SHADED: True = 1; False = 0
# WIREFRAME: True = 1; False = 0
# USE_SMOOTH: True = 1; False = 0   
# SMOOTH: Range = 1-180   

with vulcan.triangulation(input_tri,'w') as tri: # Open triangulation in write mode
    props = tri.get_properties()
    props["SHADED"] = 1
    props["WIREFRAME"] = 0
    props["USE_SMOOTH"] = 1
    props["SMOOTH"] = 180
    tri.set_properties(props)